Bug 12929 - ntlm auth smb.conf entry is not clear about domain auth
ntlm auth smb.conf entry is not clear about domain auth
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.7.0rc2
All All
: P5 regression
: 4.7
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 02:09 UTC by Andrew Bartlett
Modified: 2017-08-21 09:31 UTC (History)
3 users (show)

See Also:


Attachments
patch for master (2.22 KB, patch)
2017-07-24 02:10 UTC, Andrew Bartlett
no flags Details
Patch for v4-7-test (2.28 KB, patch)
2017-08-16 06:23 UTC, Stefan Metzmacher
abartlet: review+
kseeger: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-07-24 02:09:15 UTC
The ntlm auth entry in smb.conf does not make it clear that 'ntlm auth = disabled' only disables local NTLM authentication, not domain NTLM authentication.
Comment 1 Andrew Bartlett 2017-07-24 02:10:22 UTC
Created attachment 13417 [details]
patch for master
Comment 2 Stefan Metzmacher 2017-08-07 08:21:40 UTC
Remember to backport this to 4.7
Comment 3 Stefan Metzmacher 2017-08-16 06:23:17 UTC
Created attachment 13477 [details]
Patch for v4-7-test
Comment 4 Andrew Bartlett 2017-08-16 06:37:06 UTC
Comment on attachment 13477 [details]
Patch for v4-7-test

Thanks for following up on this.
Comment 5 Karolin Seeger 2017-08-17 08:27:03 UTC
Pushed to autouild-v4-7-test.
Comment 6 Karolin Seeger 2017-08-21 09:31:21 UTC
Pushed to v4-7-test.
Closing out bug report.

Thanks!